<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelElement StructType
 * @subpackage Structs
 */
class JP_HotelElement extends JP_BaseElement
{
    /**
     * The HotelBookingInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelBookingInfo
     */
    public $HotelBookingInfo;
    /**
     * Constructor method for JP_HotelElement
     * @uses JP_HotelElement::setHotelBookingInfo()
     * @param \StructType\JP_HotelBookingInfo $hotelBookingInfo
     */
    public function __construct(\StructType\JP_HotelBookingInfo $hotelBookingInfo = null)
    {
        $this
            ->setHotelBookingInfo($hotelBookingInfo);
    }
    /**
     * Get HotelBookingInfo value
     * @return \StructType\JP_HotelBookingInfo|null
     */
    public function getHotelBookingInfo()
    {
        return $this->HotelBookingInfo;
    }
    /**
     * Set HotelBookingInfo value
     * @param \StructType\JP_HotelBookingInfo $hotelBookingInfo
     * @return \StructType\JP_HotelElement
     */
    public function setHotelBookingInfo(\StructType\JP_HotelBookingInfo $hotelBookingInfo = null)
    {
        $this->HotelBookingInfo = $hotelBookingInfo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_HotelElement
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
